@use '../colors';

.standard-hover {
  cursor: pointer;

  .mat-button, .mat-stroked-button {
    &:not(.mat-button-disabled) {
      border: 1px solid transparent;
      background-color: map_get(colors.$emp-gray, 200);
      color: map_get(colors.$emp-dark-gray, 500);
    }
  }

  app-expansion-button {
    .mat-button, .mat-stroked-button {
      &:not(.mat-button-disabled) {
        color: map_get(colors.$emp-gray, 200);
        border-color: map_get(colors.$emp-gray, 200);
        background-color: transparent;
      }
    }
  }

  &:hover, &:active, &:focus {
    background-color: map_get(colors.$emp-gray, 200);
    color: map_get(colors.$emp-dark-gray, 500);

    .mat-button, .mat-stroked-button {
      &.mat-button-disabled {
        color: map_get(colors.$emp-gray, 400);
        border-color: map_get(colors.$emp-gray, 400);
      }

      &:not(.mat-button-disabled) {
        color: map_get(colors.$emp-dark-gray, 500);
        border-color: map_get(colors.$emp-dark-gray, 500);

        &:hover {
          color: map_get(colors.$emp-gray, 200);
          background-color: map_get(colors.$emp-dark-gray, 500);
          border-color: map_get(colors.$emp-dark-gray, 500);
        }
      }
    }

    app-expansion-button .mat-stroked-button {
      &.mat-button-disabled {
        color: map_get(colors.$emp-gray, 400);
        border-color: map_get(colors.$emp-gray, 400);
      }

      &:not(.mat-button-disabled) {
        color: map_get(colors.$emp-dark-gray, 500);
        border-color: map_get(colors.$emp-dark-gray, 500);

        &:hover {
          color: map_get(colors.$emp-gray, 200);
          background-color: map_get(colors.$emp-dark-gray, 500);
          border-color: map_get(colors.$emp-dark-gray, 500);
        }
      }
    }

    app-expansion-item {
      .mat-button, .mat-stroked-button {
        &.mat-button-disabled {
          color: map_get(colors.$emp-gray, 400);
          border-color: map_get(colors.$emp-gray, 400);
        }
      }
    }
  }
}
